- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- InlineSource
Purges specified or all Identity Mapping Entries from an Identity Mapping Store.
HTTP request
POST https://discoveryengine.googleapis.com/v1/{identityMappingStore=projects/*/locations/*/identityMappingStores/*}:purgeIdentityMappings
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
identityMappingStore |
Required. The name of the Identity Mapping Store to purge Identity Mapping Entries from. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"filter": string,
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"inlineSource": {
object ( |
| Fields | |
|---|---|
filter |
Filter matching identity mappings to purge. The eligible field for filtering is:
Examples:
The filtering fields are assumed to have an implicit AND. Should not be used with source. An error will be thrown, if both are provided. |
| The source of the input. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
inlineSource |
The inline source to purge identity mapping entries from. |
| End of mutually exclusive fields. | |
force |
Actually performs the purge. If |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/discoveryengine.readwritehttps://www.googleapis.com/auth/discoveryengine.serving.readwrite
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the identityMappingStore resource:
discoveryengine.identityMappingStores.purgeIdentityMappings
For more information, see the IAM documentation.
InlineSource
The inline source to purge identity mapping entries from.
| JSON representation |
|---|
{
"identityMappingEntries": [
{
object ( |
| Fields | |
|---|---|
identityMappingEntries[] |
A maximum of 10000 entries can be purged at one time |